DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureImageFunction

Measurement feature #measure function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureImageFunction) ( measurement, featureID, label, intensity, objectID, iterations )

## FUNCTION

The `image` measurement function is meant for measurement operation that need neighborhood or global object shape information for its operation (e.g. the `FeatureSurfaceArea` function needs to evaluate the 6 connected neighborhood of each boundary voxel). The object ID image `label` can contain values that are not present in `objectID`. These labels should be ignored.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_Image` | `label` | Image with pixel intensities represending object IDs
`dip_Image` | `intensity` | Image containing corresponding intensity values
`dip_IntegerArray` | `objectID` | Array of objectIDs to be measured
`dip_int` | `iterations` | Number of iterations the `measure` function needs to scan the image

## SEE ALSO

`MeasurementFeatureRegister`, `FeatureLineFunction`, `FeatureChainCodeFunction`, `FeatureConvHullFunction`, `FeatureCompositeFunction`, `FeatureCreateFunction`